#!/bin/bash

ETLDIR=../solvers/et_learn
pushd $ETLDIR > /dev/null

# activate virtual environment (python2) for etlearn
source etlearn-venv/bin/activate

# add to pythonpath so that modules from here can be accessed
export PYTHONPATH="$PYTHONPATH:$ETLDIR"

# return original working directory
popd > /dev/null

# forward shell script args to wrapper python script
python hcet.py "$@" #2>/dev/null

# deactivate virtual environment
deactivate
